docs/ai-agents/connectors/zendesk-support/REFERENCE.md
This is the full reference documentation for the Zendesk-Support agent connector.
The Zendesk-Support connector supports the following entities and actions.
| Entity | Actions |
|---|---|
| Tickets | List, Get, Search |
| Deleted Tickets | List, Search |
| Users | List, Get, Search |
| Organizations | List, Get, Search |
| Groups | List, Get, Search |
| Ticket Comments | List, Search |
| Attachments | Get, Download |
| Ticket Audits | List, List, Search |
| Ticket Metrics | List, Search |
| Ticket Fields | List, Get, Search |
| Brands | List, Get, Search |
| Views | List, Get |
| Macros | List, Get |
| Triggers | List, Get |
| Automations | List, Get |
| Tags | List, Search |
| Satisfaction Ratings | List, Get, Search |
| Group Memberships | List |
| Organization Memberships | List |
| Sla Policies | List, Get |
| Ticket Forms | List, Get, Search |
| Articles | List, Get |
| Article Attachments | List, Get, Download |
Returns a list of all tickets in your account
await zendesk_support.tickets.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tickets",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
external_id | string | No | Lists tickets by external id |
sort_by | "assignee" | "assignee.name" | "created_at" | "group" | "id" | "requester" | "requester.name" | "status" | "subject" | "updated_at" | No | Sort field for offset pagination |
sort_order | "asc" | "desc" | No | Sort order for offset pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
external_id | string | null | |
type | string | null | |
subject | string | null | |
raw_subject | string | null | |
description | string | |
priority | string | null | |
status | "new" | "open" | "pending" | "hold" | "solved" | "closed" | |
recipient | string | null | |
requester_id | integer | |
submitter_id | integer | |
assignee_id | integer | null | |
organization_id | integer | null | |
group_id | integer | null | |
collaborator_ids | array<integer> | |
follower_ids | array<integer> | |
email_cc_ids | array<integer> | |
forum_topic_id | integer | null | |
problem_id | integer | null | |
has_incidents | boolean | |
is_public | boolean | |
due_at | string | null | |
tags | array<string> | |
custom_fields | array<object> | |
satisfaction_rating | object | |
sharing_agreement_ids | array<integer> | |
custom_status_id | integer | |
fields | array<object> | |
followup_ids | array<integer> | |
ticket_form_id | integer | |
brand_id | integer | |
allow_channelback | boolean | |
allow_attachments | boolean | |
from_messaging_channel | boolean | |
generated_timestamp | integer | |
result_type | string | null | |
created_at | string | |
updated_at | string | |
via | object |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a ticket by its ID
await zendesk_support.tickets.get(
ticket_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tickets",
"action": "get",
"params": {
"ticket_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
ticket_id | integer | Yes | The ID of the ticket |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
external_id | string | null | |
type | string | null | |
subject | string | null | |
raw_subject | string | null | |
description | string | |
priority | string | null | |
status | "new" | "open" | "pending" | "hold" | "solved" | "closed" | |
recipient | string | null | |
requester_id | integer | |
submitter_id | integer | |
assignee_id | integer | null | |
organization_id | integer | null | |
group_id | integer | null | |
collaborator_ids | array<integer> | |
follower_ids | array<integer> | |
email_cc_ids | array<integer> | |
forum_topic_id | integer | null | |
problem_id | integer | null | |
has_incidents | boolean | |
is_public | boolean | |
due_at | string | null | |
tags | array<string> | |
custom_fields | array<object> | |
satisfaction_rating | object | |
sharing_agreement_ids | array<integer> | |
custom_status_id | integer | |
fields | array<object> | |
followup_ids | array<integer> | |
ticket_form_id | integer | |
brand_id | integer | |
allow_channelback | boolean | |
allow_attachments | boolean | |
from_messaging_channel | boolean | |
generated_timestamp | integer | |
result_type | string | null | |
created_at | string | |
updated_at | string | |
via | object |
Search and filter tickets records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.tickets.search(
query={"filter": {"eq": {"allow_attachments": True}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tickets",
"action": "search",
"params": {
"query": {"filter": {"eq": {"allow_attachments": True}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
allow_attachments | boolean | Boolean indicating whether attachments are allowed on the ticket |
allow_channelback | boolean | Boolean indicating whether agents can reply to the ticket through the original channel |
assignee_id | integer | Unique identifier of the agent currently assigned to the ticket |
brand_id | integer | Unique identifier of the brand associated with the ticket in multi-brand accounts |
collaborator_ids | array | Array of user identifiers who are collaborating on the ticket |
created_at | string | Timestamp indicating when the ticket was created |
custom_fields | array | Array of custom field values specific to the account's ticket configuration |
custom_status_id | integer | Unique identifier of the custom status applied to the ticket |
deleted_ticket_form_id | integer | The ID of the ticket form that was previously associated with this ticket but has since been deleted |
description | string | Initial description or content of the ticket when it was created |
due_at | string | Timestamp indicating when the ticket is due for completion or resolution |
email_cc_ids | array | Array of user identifiers who are CC'd on ticket email notifications |
external_id | string | External identifier for the ticket, used for integrations with other systems |
fields | array | Array of ticket field values including both system and custom fields |
follower_ids | array | Array of user identifiers who are following the ticket for updates |
followup_ids | array | Array of identifiers for follow-up tickets related to this ticket |
forum_topic_id | integer | Unique identifier linking the ticket to a forum topic if applicable |
from_messaging_channel | boolean | Boolean indicating whether the ticket originated from a messaging channel |
generated_timestamp | integer | Timestamp updated for all ticket updates including system changes, used for incremental export |
group_id | integer | Unique identifier of the agent group assigned to handle the ticket |
has_incidents | boolean | Boolean indicating whether this problem ticket has related incident tickets |
id | integer | Unique identifier for the ticket |
is_public | boolean | Boolean indicating whether the ticket is publicly visible |
organization_id | integer | Unique identifier of the organization associated with the ticket |
priority | string | Priority level assigned to the ticket (e.g., urgent, high, normal, low) |
problem_id | integer | Unique identifier of the problem ticket if this is an incident ticket |
raw_subject | string | Original unprocessed subject line before any system modifications |
recipient | string | Email address or identifier of the ticket recipient |
requester_id | integer | Unique identifier of the user who requested or created the ticket |
satisfaction_rating | `object | string` |
sharing_agreement_ids | array | Array of sharing agreement identifiers if the ticket is shared across Zendesk instances |
status | string | Current status of the ticket (e.g., new, open, pending, solved, closed) |
subject | string | Subject line of the ticket describing the issue or request |
submitter_id | integer | Unique identifier of the user who submitted the ticket on behalf of the requester |
tags | array | Array of tags applied to the ticket for categorization and filtering |
ticket_form_id | integer | Unique identifier of the ticket form used when creating the ticket |
type | string | Type of ticket (e.g., problem, incident, question, task) |
updated_at | string | Timestamp indicating when the ticket was last updated with a ticket event |
url | string | API URL to access the full ticket resource |
result_type | string | The type of the search result (e.g. ticket) when returned from search endpoints |
via | object | Object describing the channel and method through which the ticket was created |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].allow_attachments | boolean | Boolean indicating whether attachments are allowed on the ticket |
data[].allow_channelback | boolean | Boolean indicating whether agents can reply to the ticket through the original channel |
data[].assignee_id | integer | Unique identifier of the agent currently assigned to the ticket |
data[].brand_id | integer | Unique identifier of the brand associated with the ticket in multi-brand accounts |
data[].collaborator_ids | array | Array of user identifiers who are collaborating on the ticket |
data[].created_at | string | Timestamp indicating when the ticket was created |
data[].custom_fields | array | Array of custom field values specific to the account's ticket configuration |
data[].custom_status_id | integer | Unique identifier of the custom status applied to the ticket |
data[].deleted_ticket_form_id | integer | The ID of the ticket form that was previously associated with this ticket but has since been deleted |
data[].description | string | Initial description or content of the ticket when it was created |
data[].due_at | string | Timestamp indicating when the ticket is due for completion or resolution |
data[].email_cc_ids | array | Array of user identifiers who are CC'd on ticket email notifications |
data[].external_id | string | External identifier for the ticket, used for integrations with other systems |
data[].fields | array | Array of ticket field values including both system and custom fields |
data[].follower_ids | array | Array of user identifiers who are following the ticket for updates |
data[].followup_ids | array | Array of identifiers for follow-up tickets related to this ticket |
data[].forum_topic_id | integer | Unique identifier linking the ticket to a forum topic if applicable |
data[].from_messaging_channel | boolean | Boolean indicating whether the ticket originated from a messaging channel |
data[].generated_timestamp | integer | Timestamp updated for all ticket updates including system changes, used for incremental export |
data[].group_id | integer | Unique identifier of the agent group assigned to handle the ticket |
data[].has_incidents | boolean | Boolean indicating whether this problem ticket has related incident tickets |
data[].id | integer | Unique identifier for the ticket |
data[].is_public | boolean | Boolean indicating whether the ticket is publicly visible |
data[].organization_id | integer | Unique identifier of the organization associated with the ticket |
data[].priority | string | Priority level assigned to the ticket (e.g., urgent, high, normal, low) |
data[].problem_id | integer | Unique identifier of the problem ticket if this is an incident ticket |
data[].raw_subject | string | Original unprocessed subject line before any system modifications |
data[].recipient | string | Email address or identifier of the ticket recipient |
data[].requester_id | integer | Unique identifier of the user who requested or created the ticket |
data[].satisfaction_rating | `object | string` |
data[].sharing_agreement_ids | array | Array of sharing agreement identifiers if the ticket is shared across Zendesk instances |
data[].status | string | Current status of the ticket (e.g., new, open, pending, solved, closed) |
data[].subject | string | Subject line of the ticket describing the issue or request |
data[].submitter_id | integer | Unique identifier of the user who submitted the ticket on behalf of the requester |
data[].tags | array | Array of tags applied to the ticket for categorization and filtering |
data[].ticket_form_id | integer | Unique identifier of the ticket form used when creating the ticket |
data[].type | string | Type of ticket (e.g., problem, incident, question, task) |
data[].updated_at | string | Timestamp indicating when the ticket was last updated with a ticket event |
data[].url | string | API URL to access the full ticket resource |
data[].result_type | string | The type of the search result (e.g. ticket) when returned from search endpoints |
data[].via | object | Object describing the channel and method through which the ticket was created |
Returns a list of deleted tickets in your account. Only tickets deleted in the past 30 days are returned.
await zendesk_support.deleted_tickets.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "deleted_tickets",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
sort_by | "id" | "subject" | "deleted_at" | No | Sort tickets by field |
sort_order | "asc" | "desc" | No | Sort order |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
subject | string | null | |
description | string | null | |
deleted_at | string | null | |
previous_state | string | null | |
actor | object | null |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Search and filter deleted tickets records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.deleted_tickets.search(
query={"filter": {"eq": {"id": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "deleted_tickets",
"action": "search",
"params": {
"query": {"filter": {"eq": {"id": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
id | integer | The unique identifier of the deleted ticket |
subject | string | The subject or title of the deleted ticket |
description | string | Additional details or comments about the deleted ticket |
deleted_at | string | The timestamp when the ticket was deleted |
previous_state | string | The state of the ticket before it was deleted |
actor | object | The user who performed the deletion action |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].id | integer | The unique identifier of the deleted ticket |
data[].subject | string | The subject or title of the deleted ticket |
data[].description | string | Additional details or comments about the deleted ticket |
data[].deleted_at | string | The timestamp when the ticket was deleted |
data[].previous_state | string | The state of the ticket before it was deleted |
data[].actor | object | The user who performed the deletion action |
Returns a list of all users in your account
await zendesk_support.users.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "users",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
role | "end-user" | "agent" | "admin" | No | Filter by role |
external_id | string | No | Filter by external id |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
email | string | null | |
alias | string | null | |
phone | string | null | |
time_zone | string | |
locale | string | |
locale_id | integer | |
organization_id | integer | null | |
role | "end-user" | "agent" | "admin" | |
role_type | integer | null | |
custom_role_id | integer | null | |
external_id | string | null | |
tags | array<string> | |
active | boolean | |
verified | boolean | |
shared | boolean | |
shared_agent | boolean | |
shared_phone_number | boolean | null | |
signature | string | null | |
details | string | null | |
notes | string | null | |
suspended | boolean | |
restricted_agent | boolean | |
only_private_comments | boolean | |
moderator | boolean | |
ticket_restriction | string | null | |
default_group_id | integer | null | |
report_csv | boolean | |
photo | object | null | |
user_fields | object | |
last_login_at | string | null | |
two_factor_auth_enabled | boolean | null | |
iana_time_zone | string | |
permanently_deleted | boolean | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a user by their ID
await zendesk_support.users.get(
user_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "users",
"action": "get",
"params": {
"user_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
user_id | integer | Yes | The ID of the user |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
email | string | null | |
alias | string | null | |
phone | string | null | |
time_zone | string | |
locale | string | |
locale_id | integer | |
organization_id | integer | null | |
role | "end-user" | "agent" | "admin" | |
role_type | integer | null | |
custom_role_id | integer | null | |
external_id | string | null | |
tags | array<string> | |
active | boolean | |
verified | boolean | |
shared | boolean | |
shared_agent | boolean | |
shared_phone_number | boolean | null | |
signature | string | null | |
details | string | null | |
notes | string | null | |
suspended | boolean | |
restricted_agent | boolean | |
only_private_comments | boolean | |
moderator | boolean | |
ticket_restriction | string | null | |
default_group_id | integer | null | |
report_csv | boolean | |
photo | object | null | |
user_fields | object | |
last_login_at | string | null | |
two_factor_auth_enabled | boolean | null | |
iana_time_zone | string | |
permanently_deleted | boolean | |
created_at | string | |
updated_at | string |
Search and filter users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.users.search(
query={"filter": {"eq": {"active": True}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "users",
"action": "search",
"params": {
"query": {"filter": {"eq": {"active": True}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
active | boolean | Indicates if the user account is currently active |
alias | string | Alternative name or nickname for the user |
chat_only | boolean | Indicates if the user can only interact via chat |
created_at | string | Timestamp indicating when the user was created |
custom_role_id | integer | Identifier for a custom role assigned to the user |
default_group_id | integer | Identifier of the default group assigned to the user |
details | string | Additional descriptive information about the user |
email | string | Email address of the user |
external_id | string | External system identifier for the user, used for integrations |
iana_time_zone | string | IANA standard time zone identifier for the user |
id | integer | Unique identifier for the user |
last_login_at | string | Timestamp of the user's most recent login |
locale | string | Locale setting determining language and regional format preferences |
locale_id | integer | Identifier for the user's locale preference |
moderator | boolean | Indicates if the user has moderator privileges |
name | string | Display name of the user |
notes | string | Internal notes about the user, visible only to agents |
only_private_comments | boolean | Indicates if the user can only make private comments on tickets |
organization_id | integer | Identifier of the organization the user belongs to |
permanently_deleted | boolean | Indicates if the user has been permanently deleted from the system |
phone | string | Phone number of the user |
photo | object | Profile photo or avatar of the user |
report_csv | boolean | Indicates if the user receives reports in CSV format |
restricted_agent | boolean | Indicates if the agent has restricted access permissions |
role | string | Role assigned to the user defining their permissions level |
role_type | integer | Type classification of the user's role |
shared | boolean | Indicates if the user is shared across multiple accounts |
shared_agent | boolean | Indicates if the user is a shared agent across multiple brands or accounts |
shared_phone_number | boolean | Indicates if the phone number is shared with other users |
signature | string | Email signature text for the user |
suspended | boolean | Indicates if the user account is suspended |
tags | array | Labels or tags associated with the user for categorization |
ticket_restriction | string | Defines which tickets the user can access based on restrictions |
time_zone | string | Time zone setting for the user |
two_factor_auth_enabled | boolean | Indicates if two-factor authentication is enabled for the user |
updated_at | string | Timestamp indicating when the user was last updated |
url | string | API endpoint URL for accessing the user's detailed information |
user_fields | object | Custom field values specific to the user, stored as key-value pairs |
verified | boolean | Indicates if the user's identity has been verified |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].active | boolean | Indicates if the user account is currently active |
data[].alias | string | Alternative name or nickname for the user |
data[].chat_only | boolean | Indicates if the user can only interact via chat |
data[].created_at | string | Timestamp indicating when the user was created |
data[].custom_role_id | integer | Identifier for a custom role assigned to the user |
data[].default_group_id | integer | Identifier of the default group assigned to the user |
data[].details | string | Additional descriptive information about the user |
data[].email | string | Email address of the user |
data[].external_id | string | External system identifier for the user, used for integrations |
data[].iana_time_zone | string | IANA standard time zone identifier for the user |
data[].id | integer | Unique identifier for the user |
data[].last_login_at | string | Timestamp of the user's most recent login |
data[].locale | string | Locale setting determining language and regional format preferences |
data[].locale_id | integer | Identifier for the user's locale preference |
data[].moderator | boolean | Indicates if the user has moderator privileges |
data[].name | string | Display name of the user |
data[].notes | string | Internal notes about the user, visible only to agents |
data[].only_private_comments | boolean | Indicates if the user can only make private comments on tickets |
data[].organization_id | integer | Identifier of the organization the user belongs to |
data[].permanently_deleted | boolean | Indicates if the user has been permanently deleted from the system |
data[].phone | string | Phone number of the user |
data[].photo | object | Profile photo or avatar of the user |
data[].report_csv | boolean | Indicates if the user receives reports in CSV format |
data[].restricted_agent | boolean | Indicates if the agent has restricted access permissions |
data[].role | string | Role assigned to the user defining their permissions level |
data[].role_type | integer | Type classification of the user's role |
data[].shared | boolean | Indicates if the user is shared across multiple accounts |
data[].shared_agent | boolean | Indicates if the user is a shared agent across multiple brands or accounts |
data[].shared_phone_number | boolean | Indicates if the phone number is shared with other users |
data[].signature | string | Email signature text for the user |
data[].suspended | boolean | Indicates if the user account is suspended |
data[].tags | array | Labels or tags associated with the user for categorization |
data[].ticket_restriction | string | Defines which tickets the user can access based on restrictions |
data[].time_zone | string | Time zone setting for the user |
data[].two_factor_auth_enabled | boolean | Indicates if two-factor authentication is enabled for the user |
data[].updated_at | string | Timestamp indicating when the user was last updated |
data[].url | string | API endpoint URL for accessing the user's detailed information |
data[].user_fields | object | Custom field values specific to the user, stored as key-value pairs |
data[].verified | boolean | Indicates if the user's identity has been verified |
Returns a list of all organizations in your account
await zendesk_support.organizations.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "organizations",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
details | string | null | |
notes | string | null | |
group_id | integer | null | |
shared_tickets | boolean | |
shared_comments | boolean | |
external_id | string | null | |
domain_names | array<string> | |
tags | array<string> | |
organization_fields | object | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns an organization by its ID
await zendesk_support.organizations.get(
organization_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "organizations",
"action": "get",
"params": {
"organization_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
organization_id | integer | Yes | The ID of the organization |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
details | string | null | |
notes | string | null | |
group_id | integer | null | |
shared_tickets | boolean | |
shared_comments | boolean | |
external_id | string | null | |
domain_names | array<string> | |
tags | array<string> | |
organization_fields | object | |
created_at | string | |
updated_at | string |
Search and filter organizations records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.organizations.search(
query={"filter": {"eq": {"created_at": "<str>"}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "organizations",
"action": "search",
"params": {
"query": {"filter": {"eq": {"created_at": "<str>"}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
created_at | string | Timestamp when the organization was created |
deleted_at | string | Timestamp when the organization was deleted |
details | string | Details about the organization, such as the address |
domain_names | array | Array of domain names associated with this organization for automatic user assignment |
external_id | string | Unique external identifier to associate the organization to an external record (case-insensitive) |
group_id | integer | ID of the group where new tickets from users in this organization are automatically assigned |
id | integer | Unique identifier automatically assigned when the organization is created |
name | string | Unique name for the organization (mandatory field) |
notes | string | Notes about the organization |
organization_fields | object | Key-value object for custom organization fields |
shared_comments | boolean | Boolean indicating whether end users in this organization can comment on each other's tickets |
shared_tickets | boolean | Boolean indicating whether end users in this organization can see each other's tickets |
tags | array | Array of tags associated with the organization |
updated_at | string | Timestamp of the last update to the organization |
url | string | The API URL of this organization |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].created_at | string | Timestamp when the organization was created |
data[].deleted_at | string | Timestamp when the organization was deleted |
data[].details | string | Details about the organization, such as the address |
data[].domain_names | array | Array of domain names associated with this organization for automatic user assignment |
data[].external_id | string | Unique external identifier to associate the organization to an external record (case-insensitive) |
data[].group_id | integer | ID of the group where new tickets from users in this organization are automatically assigned |
data[].id | integer | Unique identifier automatically assigned when the organization is created |
data[].name | string | Unique name for the organization (mandatory field) |
data[].notes | string | Notes about the organization |
data[].organization_fields | object | Key-value object for custom organization fields |
data[].shared_comments | boolean | Boolean indicating whether end users in this organization can comment on each other's tickets |
data[].shared_tickets | boolean | Boolean indicating whether end users in this organization can see each other's tickets |
data[].tags | array | Array of tags associated with the organization |
data[].updated_at | string | Timestamp of the last update to the organization |
data[].url | string | The API URL of this organization |
Returns a list of all groups in your account
await zendesk_support.groups.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
exclude_deleted | boolean | No | Exclude deleted groups |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
description | string | |
default | boolean | |
deleted | boolean | |
is_public | boolean | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a group by its ID
await zendesk_support.groups.get(
group_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "get",
"params": {
"group_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
group_id | integer | Yes | The ID of the group |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
description | string | |
default | boolean | |
deleted | boolean | |
is_public | boolean | |
created_at | string | |
updated_at | string |
Search and filter groups records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.groups.search(
query={"filter": {"eq": {"created_at": "<str>"}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "groups",
"action": "search",
"params": {
"query": {"filter": {"eq": {"created_at": "<str>"}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
created_at | string | Timestamp indicating when the group was created |
default | boolean | Indicates if the group is the default one for the account |
deleted | boolean | Indicates whether the group has been deleted |
description | string | The description of the group |
id | integer | Unique identifier automatically assigned when creating groups |
is_public | boolean | Indicates if the group is public (true) or private (false) |
name | string | The name of the group |
updated_at | string | Timestamp indicating when the group was last updated |
url | string | The API URL of the group |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].created_at | string | Timestamp indicating when the group was created |
data[].default | boolean | Indicates if the group is the default one for the account |
data[].deleted | boolean | Indicates whether the group has been deleted |
data[].description | string | The description of the group |
data[].id | integer | Unique identifier automatically assigned when creating groups |
data[].is_public | boolean | Indicates if the group is public (true) or private (false) |
data[].name | string | The name of the group |
data[].updated_at | string | Timestamp indicating when the group was last updated |
data[].url | string | The API URL of the group |
Returns a list of comments for a specific ticket
await zendesk_support.ticket_comments.list(
ticket_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_comments",
"action": "list",
"params": {
"ticket_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
ticket_id | integer | Yes | The ID of the ticket |
page | integer | No | Page number for pagination |
include_inline_images | boolean | No | Include inline images in the response |
sort_order | "asc" | "desc" | No | Sort order for comments (always sorted by created_at) |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
type | string | |
body | string | |
html_body | string | |
plain_body | string | |
public | boolean | |
author_id | integer | |
attachments | array<object> | |
audit_id | integer | |
via | object | |
metadata | object | |
created_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Search and filter ticket comments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.ticket_comments.search(
query={"filter": {"eq": {"attachments": []}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_comments",
"action": "search",
"params": {
"query": {"filter": {"eq": {"attachments": []}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
attachments | array | List of files or media attached to the comment |
audit_id | integer | Identifier of the audit record associated with this comment event |
author_id | integer | Identifier of the user who created the comment |
body | string | Content of the comment in its original format |
created_at | string | Timestamp when the comment was created |
event_type | string | Specific classification of the event within the ticket event stream |
html_body | string | HTML-formatted content of the comment |
id | integer | Unique identifier for the comment event |
metadata | object | Additional structured information about the comment not covered by standard fields |
plain_body | string | Plain text content of the comment without formatting |
public | boolean | Boolean indicating whether the comment is visible to end users or is an internal note |
ticket_id | integer | Identifier of the ticket to which this comment belongs |
timestamp | integer | Timestamp of when the event occurred in the incremental export stream |
type | string | Type of event, typically indicating this is a comment event |
uploads | array | Array of upload tokens or identifiers for files being attached to the comment |
via | object | Channel or method through which the comment was submitted |
via_reference_id | integer | Reference identifier for the channel through which the comment was created |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].attachments | array | List of files or media attached to the comment |
data[].audit_id | integer | Identifier of the audit record associated with this comment event |
data[].author_id | integer | Identifier of the user who created the comment |
data[].body | string | Content of the comment in its original format |
data[].created_at | string | Timestamp when the comment was created |
data[].event_type | string | Specific classification of the event within the ticket event stream |
data[].html_body | string | HTML-formatted content of the comment |
data[].id | integer | Unique identifier for the comment event |
data[].metadata | object | Additional structured information about the comment not covered by standard fields |
data[].plain_body | string | Plain text content of the comment without formatting |
data[].public | boolean | Boolean indicating whether the comment is visible to end users or is an internal note |
data[].ticket_id | integer | Identifier of the ticket to which this comment belongs |
data[].timestamp | integer | Timestamp of when the event occurred in the incremental export stream |
data[].type | string | Type of event, typically indicating this is a comment event |
data[].uploads | array | Array of upload tokens or identifiers for files being attached to the comment |
data[].via | object | Channel or method through which the comment was submitted |
data[].via_reference_id | integer | Reference identifier for the channel through which the comment was created |
Returns an attachment by its ID
await zendesk_support.attachments.get(
attachment_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "attachments",
"action": "get",
"params": {
"attachment_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
attachment_id | integer | Yes | The ID of the attachment |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
file_name | string | |
content_url | string | |
mapped_content_url | string | |
content_type | string | |
size | integer | |
width | integer | null | |
height | integer | null | |
inline | boolean | |
deleted | boolean | |
malware_access_override | boolean | |
malware_scan_result | string | |
url | string | |
thumbnails | array<object> |
Downloads the file content of a ticket attachment
async for chunk in zendesk_support.attachments.download( attachment_id=0):# Process each chunk (e.g., write to file)
file.write(chunk)
Note: Download operations return an async iterator of bytes chunks for memory-efficient streaming. Use
async forto process chunks as they arrive.
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "attachments",
"action": "download",
"params": {
"attachment_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
attachment_id | integer | Yes | The ID of the attachment |
range_header | string | No | Optional Range header for partial downloads (e.g., 'bytes=0-99') |
Returns a list of all ticket audits
await zendesk_support.ticket_audits.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_audits",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
ticket_id | integer | |
author_id | integer | |
metadata | object | |
via | object | |
events | array<object> | |
created_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a list of audits for a specific ticket
await zendesk_support.ticket_audits.list(
ticket_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_audits",
"action": "list",
"params": {
"ticket_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
ticket_id | integer | Yes | The ID of the ticket |
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
ticket_id | integer | |
author_id | integer | |
metadata | object | |
via | object | |
events | array<object> | |
created_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Search and filter ticket audits records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.ticket_audits.search(
query={"filter": {"eq": {"attachments": []}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_audits",
"action": "search",
"params": {
"query": {"filter": {"eq": {"attachments": []}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
attachments | array | Files or documents attached to the audit |
author_id | integer | The unique identifier of the user who created the audit |
created_at | string | Timestamp indicating when the audit was created |
events | array | Array of events that occurred in this audit, such as field changes, comments, or tag updates |
id | integer | Unique identifier for the audit record, automatically assigned when the audit is created |
metadata | object | Custom and system data associated with the audit |
ticket_id | integer | The unique identifier of the ticket associated with this audit |
via | object | Describes how the audit was created, providing context about the creation source |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].attachments | array | Files or documents attached to the audit |
data[].author_id | integer | The unique identifier of the user who created the audit |
data[].created_at | string | Timestamp indicating when the audit was created |
data[].events | array | Array of events that occurred in this audit, such as field changes, comments, or tag updates |
data[].id | integer | Unique identifier for the audit record, automatically assigned when the audit is created |
data[].metadata | object | Custom and system data associated with the audit |
data[].ticket_id | integer | The unique identifier of the ticket associated with this audit |
data[].via | object | Describes how the audit was created, providing context about the creation source |
Returns a list of all ticket metrics
await zendesk_support.ticket_metrics.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_metrics",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
ticket_id | integer | |
group_stations | integer | |
assignee_stations | integer | |
reopens | integer | |
replies | integer | |
assignee_updated_at | string | null | |
requester_updated_at | string | |
status_updated_at | string | |
initially_assigned_at | string | null | |
assigned_at | string | null | |
solved_at | string | null | |
latest_comment_added_at | string | |
reply_time_in_minutes | object | |
first_resolution_time_in_minutes | object | |
full_resolution_time_in_minutes | object | |
agent_wait_time_in_minutes | object | |
requester_wait_time_in_minutes | object | |
on_hold_time_in_minutes | object | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Search and filter ticket metrics records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.ticket_metrics.search(
query={"filter": {"eq": {"agent_wait_time_in_minutes": {}}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_metrics",
"action": "search",
"params": {
"query": {"filter": {"eq": {"agent_wait_time_in_minutes": {}}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
agent_wait_time_in_minutes | object | Number of minutes the agent spent waiting during calendar and business hours |
assigned_at | string | Timestamp when the ticket was assigned |
assignee_stations | integer | Number of assignees the ticket had |
assignee_updated_at | string | Timestamp when the assignee last updated the ticket |
created_at | string | Timestamp when the metric record was created |
custom_status_updated_at | string | Timestamp when the ticket's custom status was last updated |
first_resolution_time_in_minutes | object | Number of minutes to the first resolution time during calendar and business hours |
full_resolution_time_in_minutes | object | Number of minutes to the full resolution during calendar and business hours |
generated_timestamp | integer | Timestamp of when record was last updated |
group_stations | integer | Number of groups the ticket passed through |
id | integer | Unique identifier for the ticket metric record |
initially_assigned_at | string | Timestamp when the ticket was initially assigned |
instance_id | integer | ID of the Zendesk instance associated with the ticket |
latest_comment_added_at | string | Timestamp when the latest comment was added |
metric | string | Ticket metrics data |
on_hold_time_in_minutes | object | Number of minutes on hold |
reopens | integer | Total number of times the ticket was reopened |
replies | integer | The number of public replies added to a ticket by an agent |
reply_time_in_minutes | object | Number of minutes to the first reply during calendar and business hours |
reply_time_in_seconds | object | Number of seconds to the first reply during calendar hours, only available for Messaging tickets |
requester_updated_at | string | Timestamp when the requester last updated the ticket |
requester_wait_time_in_minutes | object | Number of minutes the requester spent waiting during calendar and business hours |
solved_at | string | Timestamp when the ticket was solved |
status | object | The current status of the ticket (open, pending, solved, etc.). |
status_updated_at | string | Timestamp when the status of the ticket was last updated |
ticket_id | integer | Identifier of the associated ticket |
time | string | Time related to the ticket |
type | string | Type of ticket |
updated_at | string | Timestamp when the metric record was last updated |
url | string | The API url of the ticket metric |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].agent_wait_time_in_minutes | object | Number of minutes the agent spent waiting during calendar and business hours |
data[].assigned_at | string | Timestamp when the ticket was assigned |
data[].assignee_stations | integer | Number of assignees the ticket had |
data[].assignee_updated_at | string | Timestamp when the assignee last updated the ticket |
data[].created_at | string | Timestamp when the metric record was created |
data[].custom_status_updated_at | string | Timestamp when the ticket's custom status was last updated |
data[].first_resolution_time_in_minutes | object | Number of minutes to the first resolution time during calendar and business hours |
data[].full_resolution_time_in_minutes | object | Number of minutes to the full resolution during calendar and business hours |
data[].generated_timestamp | integer | Timestamp of when record was last updated |
data[].group_stations | integer | Number of groups the ticket passed through |
data[].id | integer | Unique identifier for the ticket metric record |
data[].initially_assigned_at | string | Timestamp when the ticket was initially assigned |
data[].instance_id | integer | ID of the Zendesk instance associated with the ticket |
data[].latest_comment_added_at | string | Timestamp when the latest comment was added |
data[].metric | string | Ticket metrics data |
data[].on_hold_time_in_minutes | object | Number of minutes on hold |
data[].reopens | integer | Total number of times the ticket was reopened |
data[].replies | integer | The number of public replies added to a ticket by an agent |
data[].reply_time_in_minutes | object | Number of minutes to the first reply during calendar and business hours |
data[].reply_time_in_seconds | object | Number of seconds to the first reply during calendar hours, only available for Messaging tickets |
data[].requester_updated_at | string | Timestamp when the requester last updated the ticket |
data[].requester_wait_time_in_minutes | object | Number of minutes the requester spent waiting during calendar and business hours |
data[].solved_at | string | Timestamp when the ticket was solved |
data[].status | object | The current status of the ticket (open, pending, solved, etc.). |
data[].status_updated_at | string | Timestamp when the status of the ticket was last updated |
data[].ticket_id | integer | Identifier of the associated ticket |
data[].time | string | Time related to the ticket |
data[].type | string | Type of ticket |
data[].updated_at | string | Timestamp when the metric record was last updated |
data[].url | string | The API url of the ticket metric |
Returns a list of all ticket fields
await zendesk_support.ticket_fields.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_fields",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
locale | string | No | Locale for the results |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
type | string | |
title | string | |
raw_title | string | |
description | string | |
raw_description | string | |
position | integer | |
active | boolean | |
required | boolean | |
collapsed_for_agents | boolean | |
regexp_for_validation | string | null | |
title_in_portal | string | |
raw_title_in_portal | string | |
visible_in_portal | boolean | |
editable_in_portal | boolean | |
required_in_portal | boolean | |
tag | string | null | |
custom_field_options | array<object> | |
system_field_options | array<object> | |
sub_type_id | integer | |
removable | boolean | |
agent_description | string | null | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a ticket field by its ID
await zendesk_support.ticket_fields.get(
ticket_field_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_fields",
"action": "get",
"params": {
"ticket_field_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
ticket_field_id | integer | Yes | The ID of the ticket field |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
type | string | |
title | string | |
raw_title | string | |
description | string | |
raw_description | string | |
position | integer | |
active | boolean | |
required | boolean | |
collapsed_for_agents | boolean | |
regexp_for_validation | string | null | |
title_in_portal | string | |
raw_title_in_portal | string | |
visible_in_portal | boolean | |
editable_in_portal | boolean | |
required_in_portal | boolean | |
tag | string | null | |
custom_field_options | array<object> | |
system_field_options | array<object> | |
sub_type_id | integer | |
removable | boolean | |
agent_description | string | null | |
created_at | string | |
updated_at | string |
Search and filter ticket fields records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.ticket_fields.search(
query={"filter": {"eq": {"active": True}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_fields",
"action": "search",
"params": {
"query": {"filter": {"eq": {"active": True}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
active | boolean | Whether this field is currently available for use |
agent_description | string | A description of the ticket field that only agents can see |
collapsed_for_agents | boolean | If true, the field is shown to agents by default; if false, it is hidden alongside infrequently used fields |
created_at | string | Timestamp when the custom ticket field was created |
custom_field_options | array | Array of option objects for custom ticket fields of type multiselect or tagger |
custom_statuses | array | List of customized ticket statuses, only present for system ticket fields of type custom_status |
description | string | Text describing the purpose of the ticket field to users |
editable_in_portal | boolean | Whether this field is editable by end users in Help Center |
id | integer | Unique identifier for the ticket field, automatically assigned when created |
key | string | Internal identifier or reference key for the field |
position | integer | The relative position of the ticket field on a ticket, controlling display order |
raw_description | string | The dynamic content placeholder if present, or the description value if not |
raw_title | string | The dynamic content placeholder if present, or the title value if not |
raw_title_in_portal | string | The dynamic content placeholder if present, or the title_in_portal value if not |
regexp_for_validation | string | For regexp fields only, the validation pattern for a field value to be deemed valid |
removable | boolean | If false, this field is a system field that must be present on all tickets |
required | boolean | If true, agents must enter a value in the field to change the ticket status to solved |
required_in_portal | boolean | If true, end users must enter a value in the field to create a request |
sub_type_id | integer | For system ticket fields of type priority and status, controlling available options |
system_field_options | array | Array of options for system ticket fields of type tickettype, priority, or status |
tag | string | For checkbox fields only, a tag added to tickets when the checkbox field is selected |
title | string | The title of the ticket field displayed to agents |
title_in_portal | string | The title of the ticket field displayed to end users in Help Center |
type | string | Field type such as text, textarea, checkbox, date, integer, decimal, regexp, multiselect, or tagger |
updated_at | string | Timestamp when the custom ticket field was last updated |
url | string | The API URL for this ticket field resource |
visible_in_portal | boolean | Whether this field is visible to end users in Help Center |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].active | boolean | Whether this field is currently available for use |
data[].agent_description | string | A description of the ticket field that only agents can see |
data[].collapsed_for_agents | boolean | If true, the field is shown to agents by default; if false, it is hidden alongside infrequently used fields |
data[].created_at | string | Timestamp when the custom ticket field was created |
data[].custom_field_options | array | Array of option objects for custom ticket fields of type multiselect or tagger |
data[].custom_statuses | array | List of customized ticket statuses, only present for system ticket fields of type custom_status |
data[].description | string | Text describing the purpose of the ticket field to users |
data[].editable_in_portal | boolean | Whether this field is editable by end users in Help Center |
data[].id | integer | Unique identifier for the ticket field, automatically assigned when created |
data[].key | string | Internal identifier or reference key for the field |
data[].position | integer | The relative position of the ticket field on a ticket, controlling display order |
data[].raw_description | string | The dynamic content placeholder if present, or the description value if not |
data[].raw_title | string | The dynamic content placeholder if present, or the title value if not |
data[].raw_title_in_portal | string | The dynamic content placeholder if present, or the title_in_portal value if not |
data[].regexp_for_validation | string | For regexp fields only, the validation pattern for a field value to be deemed valid |
data[].removable | boolean | If false, this field is a system field that must be present on all tickets |
data[].required | boolean | If true, agents must enter a value in the field to change the ticket status to solved |
data[].required_in_portal | boolean | If true, end users must enter a value in the field to create a request |
data[].sub_type_id | integer | For system ticket fields of type priority and status, controlling available options |
data[].system_field_options | array | Array of options for system ticket fields of type tickettype, priority, or status |
data[].tag | string | For checkbox fields only, a tag added to tickets when the checkbox field is selected |
data[].title | string | The title of the ticket field displayed to agents |
data[].title_in_portal | string | The title of the ticket field displayed to end users in Help Center |
data[].type | string | Field type such as text, textarea, checkbox, date, integer, decimal, regexp, multiselect, or tagger |
data[].updated_at | string | Timestamp when the custom ticket field was last updated |
data[].url | string | The API URL for this ticket field resource |
data[].visible_in_portal | boolean | Whether this field is visible to end users in Help Center |
Returns a list of all brands for the account
await zendesk_support.brands.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "brands",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
brand_url | string | |
subdomain | string | |
host_mapping | string | null | |
has_help_center | boolean | |
help_center_state | string | |
active | boolean | |
default | boolean | |
is_deleted | boolean | |
logo | object | null | |
ticket_form_ids | array<integer> | |
signature_template | string | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a brand by its ID
await zendesk_support.brands.get(
brand_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "brands",
"action": "get",
"params": {
"brand_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
brand_id | integer | Yes | The ID of the brand |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
brand_url | string | |
subdomain | string | |
host_mapping | string | null | |
has_help_center | boolean | |
help_center_state | string | |
active | boolean | |
default | boolean | |
is_deleted | boolean | |
logo | object | null | |
ticket_form_ids | array<integer> | |
signature_template | string | |
created_at | string | |
updated_at | string |
Search and filter brands records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.brands.search(
query={"filter": {"eq": {"active": True}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "brands",
"action": "search",
"params": {
"query": {"filter": {"eq": {"active": True}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
active | boolean | Indicates whether the brand is set as active |
brand_url | string | The public URL of the brand |
created_at | string | Timestamp when the brand was created |
default | boolean | Indicates whether the brand is the default brand for tickets generated from non-branded channels |
has_help_center | boolean | Indicates whether the brand has a Help Center enabled |
help_center_state | string | The state of the Help Center, with allowed values of enabled, disabled, or restricted |
host_mapping | string | The host mapping configuration for the brand, visible only to administrators |
id | integer | Unique identifier automatically assigned when the brand is created |
is_deleted | boolean | Indicates whether the brand has been deleted |
logo | string | Brand logo image file represented as an Attachment object |
name | string | The name of the brand |
signature_template | string | The signature template used for the brand |
subdomain | string | The subdomain associated with the brand |
ticket_form_ids | array | Array of ticket form IDs that are available for use by this brand |
updated_at | string | Timestamp when the brand was last updated |
url | string | The API URL for accessing this brand resource |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].active | boolean | Indicates whether the brand is set as active |
data[].brand_url | string | The public URL of the brand |
data[].created_at | string | Timestamp when the brand was created |
data[].default | boolean | Indicates whether the brand is the default brand for tickets generated from non-branded channels |
data[].has_help_center | boolean | Indicates whether the brand has a Help Center enabled |
data[].help_center_state | string | The state of the Help Center, with allowed values of enabled, disabled, or restricted |
data[].host_mapping | string | The host mapping configuration for the brand, visible only to administrators |
data[].id | integer | Unique identifier automatically assigned when the brand is created |
data[].is_deleted | boolean | Indicates whether the brand has been deleted |
data[].logo | string | Brand logo image file represented as an Attachment object |
data[].name | string | The name of the brand |
data[].signature_template | string | The signature template used for the brand |
data[].subdomain | string | The subdomain associated with the brand |
data[].ticket_form_ids | array | Array of ticket form IDs that are available for use by this brand |
data[].updated_at | string | Timestamp when the brand was last updated |
data[].url | string | The API URL for accessing this brand resource |
Returns a list of all views for the account
await zendesk_support.views.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "views",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
access | "personal" | "shared" | "account" | No | Filter by access level |
active | boolean | No | Filter by active status |
group_id | integer | No | Filter by group ID |
sort_by | "alphabetical" | "created_at" | "updated_at" | "position" | No | Sort results |
sort_order | "asc" | "desc" | No | Sort order |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
description | string | null | |
execution | object | |
conditions | object | |
restriction | object | null | |
raw_title | string | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a view by its ID
await zendesk_support.views.get(
view_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "views",
"action": "get",
"params": {
"view_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
view_id | integer | Yes | The ID of the view |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
description | string | null | |
execution | object | |
conditions | object | |
restriction | object | null | |
raw_title | string | |
created_at | string | |
updated_at | string |
Returns a list of all macros for the account
await zendesk_support.macros.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "macros",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
access | "personal" | "shared" | "account" | No | Filter by access level |
active | boolean | No | Filter by active status |
category | integer | No | Filter by category |
group_id | integer | No | Filter by group ID |
only_viewable | boolean | No | Return only viewable macros |
sort_by | "alphabetical" | "created_at" | "updated_at" | "position" | No | Sort results |
sort_order | "asc" | "desc" | No | Sort order |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
description | string | |
actions | array<object> | |
restriction | object | null | |
raw_title | string | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a macro by its ID
await zendesk_support.macros.get(
macro_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "macros",
"action": "get",
"params": {
"macro_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
macro_id | integer | Yes | The ID of the macro |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
description | string | |
actions | array<object> | |
restriction | object | null | |
raw_title | string | |
created_at | string | |
updated_at | string |
Returns a list of all triggers for the account
await zendesk_support.triggers.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
active | boolean | No | Filter by active status |
category_id | string | No | Filter by category ID |
sort_by | "alphabetical" | "created_at" | "updated_at" | "usage_1h" | "usage_24h" | "usage_7d" | No | Sort field for offset pagination |
sort_order | "asc" | "desc" | No | Sort order for offset pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
description | string | null | |
conditions | object | |
actions | array<object> | |
raw_title | string | |
category_id | string | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a trigger by its ID
await zendesk_support.triggers.get(
trigger_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "triggers",
"action": "get",
"params": {
"trigger_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
trigger_id | integer | Yes | The ID of the trigger |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
description | string | null | |
conditions | object | |
actions | array<object> | |
raw_title | string | |
category_id | string | |
created_at | string | |
updated_at | string |
Returns a list of all automations for the account
await zendesk_support.automations.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "automations",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
active | boolean | No | Filter by active status |
sort_by | "alphabetical" | "created_at" | "updated_at" | "usage_1h" | "usage_24h" | "usage_7d" | No | Sort field for offset pagination |
sort_order | "asc" | "desc" | No | Sort order for offset pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
conditions | object | |
actions | array<object> | |
raw_title | string | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns an automation by its ID
await zendesk_support.automations.get(
automation_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "automations",
"action": "get",
"params": {
"automation_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
automation_id | integer | Yes | The ID of the automation |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
active | boolean | |
position | integer | |
conditions | object | |
actions | array<object> | |
raw_title | string | |
created_at | string | |
updated_at | string |
Returns a list of all tags used in the account
await zendesk_support.tags.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
name | string | |
count | integer |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Search and filter tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.tags.search(
query={"filter": {"eq": {"count": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "tags",
"action": "search",
"params": {
"query": {"filter": {"eq": {"count": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
count | integer | The number of times this tag has been used across resources |
name | string | The tag name string used to label and categorize resources |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].count | integer | The number of times this tag has been used across resources |
data[].name | string | The tag name string used to label and categorize resources |
Returns a list of all satisfaction ratings
await zendesk_support.satisfaction_ratings.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "satisfaction_ratings",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
score | "offered" | "unoffered" | "received" | "good" | "bad" | No | Filter by score |
start_time | integer | No | Start time (Unix epoch) |
end_time | integer | No | End time (Unix epoch) |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
assignee_id | integer | null | |
group_id | integer | null | |
requester_id | integer | |
ticket_id | integer | |
score | string | |
comment | string | null | |
reason | string | null | |
reason_id | integer | null | |
reason_code | integer | null | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a satisfaction rating by its ID
await zendesk_support.satisfaction_ratings.get(
satisfaction_rating_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "satisfaction_ratings",
"action": "get",
"params": {
"satisfaction_rating_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
satisfaction_rating_id | integer | Yes | The ID of the satisfaction rating |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
assignee_id | integer | null | |
group_id | integer | null | |
requester_id | integer | |
ticket_id | integer | |
score | string | |
comment | string | null | |
reason | string | null | |
reason_id | integer | null | |
reason_code | integer | null | |
created_at | string | |
updated_at | string |
Search and filter satisfaction ratings records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.satisfaction_ratings.search(
query={"filter": {"eq": {"assignee_id": 0}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "satisfaction_ratings",
"action": "search",
"params": {
"query": {"filter": {"eq": {"assignee_id": 0}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
assignee_id | integer | The identifier of the agent assigned to the ticket at the time the rating was submitted |
comment | string | Optional comment provided by the requester with the rating |
created_at | string | Timestamp indicating when the satisfaction rating was created |
group_id | integer | The identifier of the group assigned to the ticket at the time the rating was submitted |
id | integer | Unique identifier for the satisfaction rating, automatically assigned upon creation |
reason | string | Free-text reason for a bad rating provided by the requester in a follow-up question |
reason_id | integer | Identifier for the predefined reason given for a negative rating |
requester_id | integer | The identifier of the ticket requester who submitted the satisfaction rating |
score | string | The satisfaction rating value: 'offered', 'unoffered', 'good', or 'bad' |
ticket_id | integer | The identifier of the ticket being rated |
updated_at | string | Timestamp indicating when the satisfaction rating was last updated |
url | string | The API URL of this satisfaction rating resource |
| Field Name | Type | Description |
|---|---|---|
data | array | List of matching records |
meta | object | Pagination metadata |
meta.has_more | boolean | Whether additional pages are available |
meta.cursor | string | null | Cursor for next page of results |
meta.took_ms | number | null | Query execution time in milliseconds |
data[].assignee_id | integer | The identifier of the agent assigned to the ticket at the time the rating was submitted |
data[].comment | string | Optional comment provided by the requester with the rating |
data[].created_at | string | Timestamp indicating when the satisfaction rating was created |
data[].group_id | integer | The identifier of the group assigned to the ticket at the time the rating was submitted |
data[].id | integer | Unique identifier for the satisfaction rating, automatically assigned upon creation |
data[].reason | string | Free-text reason for a bad rating provided by the requester in a follow-up question |
data[].reason_id | integer | Identifier for the predefined reason given for a negative rating |
data[].requester_id | integer | The identifier of the ticket requester who submitted the satisfaction rating |
data[].score | string | The satisfaction rating value: 'offered', 'unoffered', 'good', or 'bad' |
data[].ticket_id | integer | The identifier of the ticket being rated |
data[].updated_at | string | Timestamp indicating when the satisfaction rating was last updated |
data[].url | string | The API URL of this satisfaction rating resource |
Returns a list of all group memberships
await zendesk_support.group_memberships.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "group_memberships",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
user_id | integer | |
group_id | integer | |
default | boolean | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a list of all organization memberships
await zendesk_support.organization_memberships.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "organization_memberships",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
user_id | integer | |
organization_id | integer | |
default | boolean | |
organization_name | string | |
view_tickets | boolean | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a list of all SLA policies
await zendesk_support.sla_policies.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sla_policies",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
description | string | |
position | integer | |
filter | object | |
policy_metrics | array<object> | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns an SLA policy by its ID
await zendesk_support.sla_policies.get(
sla_policy_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sla_policies",
"action": "get",
"params": {
"sla_policy_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
sla_policy_id | integer | Yes | The ID of the SLA policy |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
title | string | |
description | string | |
position | integer | |
filter | object | |
policy_metrics | array<object> | |
created_at | string | |
updated_at | string |
Returns a list of all ticket forms for the account
await zendesk_support.ticket_forms.list()
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_forms",
"action": "list"
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | Page number for pagination |
active | boolean | No | Filter by active status |
end_user_visible | boolean | No | Filter by end user visibility |
per_page | integer | No | Number of results per page |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
display_name | string | |
raw_name | string | |
raw_display_name | string | |
position | integer | |
active | boolean | |
end_user_visible | boolean | |
default | boolean | |
in_all_brands | boolean | |
restricted_brand_ids | array<integer> | |
ticket_field_ids | array<integer> | |
agent_conditions | array<object> | |
end_user_conditions | array<object> | |
created_at | string | |
updated_at | string |
| Field Name | Type | Description |
|---|---|---|
next_page | string | null | |
previous_page | string | null | |
count | integer |
Returns a ticket form by its ID
await zendesk_support.ticket_forms.get(
ticket_form_id=0
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_forms",
"action": "get",
"params": {
"ticket_form_id": 0
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
ticket_form_id | integer | Yes | The ID of the ticket form |
| Field Name | Type | Description |
|---|---|---|
id | integer | |
url | string | |
name | string | |
display_name | string | |
raw_name | string | |
raw_display_name | string | |
position | integer | |
active | boolean | |
end_user_visible | boolean | |
default | boolean | |
in_all_brands | boolean | |
restricted_brand_ids | array<integer> | |
ticket_field_ids | array<integer> | |
agent_conditions | array<object> | |
end_user_conditions | array<object> | |
created_at | string | |
updated_at | string |
Search and filter ticket forms records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
await zendesk_support.ticket_forms.search(
query={"filter": {"eq": {"active": True}}}
)
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "ticket_forms",
"action": "search",
"params": {
"query": {"filter": {"eq": {"active": True}}}
}
}'
| Parameter Name | Type | Required | Description |
|---|---|---|---|
query | object | Yes | Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or |
query.filter | object | No | Filter conditions |
query.sort | array | No | Sort conditions |
limit | integer | No | Maximum results to return (default 1000) |
cursor | string | No | Pagination cursor from previous response's meta.cursor |
fields | array | No | Field paths to include in results |
| Field Name | Type | Description |
|---|---|---|
active | boolean | Indicates if the form is set as active |
agent_conditions | array | Array of condition sets for agent workspaces |
created_at | string | Timestamp when the ticket form was created |
default | boolean | Indicates if the form is the default form for this account |
[...]
